Bug 194487 - devel/llvm* and lang/clang* inconsistent target triple with base clang
Summary: devel/llvm* and lang/clang* inconsistent target triple with base clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-20 14:51 UTC by Jan Beich
Modified: 2014-12-19 01:25 UTC (History)
0 users

See Also:


Attachments
clang35 fix (1.01 KB, patch)
2014-10-20 14:51 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-10-20 14:51:21 UTC
Created attachment 148504 [details]
clang35 fix

Since base r222183 clang in base uses x86_64-unknown-freebsd* on amd64. Apart from the issue described in that commit wrong build arch also affects profiling:

  $ clang35 -fprofile-generate foo.c
  /usr/local/bin/ld: cannot find /usr/local/llvm35/bin/../lib/clang/3.5.0/lib/freebsd/libclang_rt.profile-amd64.a: No such file or directory
  clang: error: linker command failed with exit code 1 (use -v to see invocation)

When updating devel/compiler-rt to a new version it builds libclang_rt.profile-x86_64.a, not libclang_rt.profile-amd64.a.
Comment 1 commit-hook freebsd_committer 2014-12-18 22:17:21 UTC
A commit references this bug:

Author: brooks
Date: Thu Dec 18 22:17:14 UTC 2014
New revision: 374924
URL: https://svnweb.freebsd.org/changeset/ports/374924

Log:
  Make default target triple match base clang.

  PR:		194487
  Submitted by:	Jan Beich <jbeich@vfemail.net>

Changes:
  head/devel/llvm35/Makefile
  head/lang/clang35/Makefile
Comment 2 commit-hook freebsd_committer 2014-12-18 22:43:25 UTC
A commit references this bug:

Author: brooks
Date: Thu Dec 18 22:42:59 UTC 2014
New revision: 374928
URL: https://svnweb.freebsd.org/changeset/ports/374928

Log:
  Make default target triple match base clang.

  PR:		194487
  Submitted by:	Jan Beich <jbeich@vfemail.net>

Changes:
  head/devel/llvm-devel/Makefile
  head/lang/clang-devel/Makefile
Comment 3 commit-hook freebsd_committer 2014-12-18 23:47:32 UTC
A commit references this bug:

Author: brooks
Date: Thu Dec 18 23:47:01 UTC 2014
New revision: 374932
URL: https://svnweb.freebsd.org/changeset/ports/374932

Log:
  Make default target triple match base clang.

  PR:		194487
  Submitted by:	Jan Beich <jbeich@vfemail.net>

Changes:
  head/devel/llvm34/Makefile
  head/lang/clang34/Makefile
Comment 4 commit-hook freebsd_committer 2014-12-19 01:23:43 UTC
A commit references this bug:

Author: brooks
Date: Fri Dec 19 01:23:05 UTC 2014
New revision: 374937
URL: https://svnweb.freebsd.org/changeset/ports/374937

Log:
  Make default target triple match base clang.

  PR:		194487
  Submitted by:	Jan Beich <jbeich@vfemail.net>

Changes:
  head/devel/llvm33/Makefile
  head/lang/clang33/Makefile
Comment 5 Brooks Davis freebsd_committer 2014-12-19 01:25:25 UTC
Fixed in (llvm|clang)(3[345]|-devel) and deleted (llvm|clang)32.